Subject: bug#26654: 26.0.50; Request to add an option to make emacs not care if input is not coming from tty

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Apr 2017 13:12:52 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Tue, 25 Apr 2017 14:22:55 +0000
> 
> I have a bash script eless ( https://github.com/kaushalmodi/eless ) that I would like to use to replace 'less' use
> cases.
> 
> I would like to do something like:
> 
> echo "foo" | emacs -Q -nw
> 
> If I try to do that at the moment, I get
> 
> emacs: standard input is not a tty
> 
> So this is a feature request to make emacs ignore if standard input is coming in through another process and
> not tty. The eless script saves the input from pipe to a temp file and opens that in "emacs -Q -nw" by default.
> So emacs does not need addition of a feature to read directly from STDIN (as the bash wrapper does it for
> me).

Then why not do something like below instead?

  echo "foo" && emacs -Q -nw

IOW, I don't understand what is the significance of the pipe in this
command.

> I have noticed that emacsclient does not care if input is not coming from tty.

The client doesn't interact with the user, it only instructs the
server to visit the file.  Emacs, OTOH, does need to interact.